## SoupSessionSync SoupSessionSync — SoupSession for blocking I/O in multithreaded programs (deprecated). |

## Types and Values

| SoupSessionSync

## Object Hierarchy

        GObject
        ╰── SoupSession
            ╰── SoupSessionSync

## Includes

    #include <libsoup/soup.h>

## Description

SoupSessionSync is an implementation of SoupSession that uses synchronous I/O, intended for use in multi-threaded programs.

## Functions

## Types and Values

### SoupSessionSync

    typedef struct _SoupSessionSync SoupSessionSync;